Bug 22293 - Sticky toolbar making vendor form uneditable
Summary: Sticky toolbar making vendor form uneditable
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 21751
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-08 04:35 UTC by Aleisha Amohia
Modified: 2019-02-12 13:00 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22293: Sticky toolbar making vendor form uneditable (1.62 KB, patch)
2019-02-08 13:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22293: Sticky toolbar making vendor form uneditable (1.69 KB, patch)
2019-02-08 14:01 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 22293: Sticky toolbar making vendor form uneditable (1.86 KB, patch)
2019-02-08 21:08 UTC, Mikaël Olangcay Brisebois
Details | Diff | Splinter Review
Bug 22293: Sticky toolbar making vendor form uneditable (1.92 KB, patch)
2019-02-09 19:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2019-02-08 04:35:33 UTC
The HC-sticky toolbar from Bug 21751 does not work on /cgi-bin/koha/acqui/supplier.pl

When I go to add a new vendor or edit an existing one, I can't click anywhere on the form.
Comment 1 Katrin Fischer 2019-02-08 07:03:47 UTC
Confirmed :(
Comment 2 Owen Leonard 2019-02-08 13:04:33 UTC
Created attachment 84864 [details] [review]
Bug 22293: Sticky toolbar making vendor form uneditable

The new floating toolbar plugin doesn't like a particular combination of
markup: A toolbar inside a form which is styled "display:inline." The
staff client CSS styles forms that way globally, so it must be
explicitly overridden in these situations.

Changing the default will have broad consequences, so I propose an
inline style to fix this.

To test, apply the patch and go to Acquisitions. Add or edit a vendor
and confirm that after scrolling down the page the form is still
editable.
Comment 3 Andrew Isherwood 2019-02-08 14:01:47 UTC
Created attachment 84865 [details] [review]
Bug 22293: Sticky toolbar making vendor form uneditable

The new floating toolbar plugin doesn't like a particular combination of
markup: A toolbar inside a form which is styled "display:inline." The
staff client CSS styles forms that way globally, so it must be
explicitly overridden in these situations.

Changing the default will have broad consequences, so I propose an
inline style to fix this.

To test, apply the patch and go to Acquisitions. Add or edit a vendor
and confirm that after scrolling down the page the form is still
editable.

Signed-off-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 4 Mikaël Olangcay Brisebois 2019-02-08 21:08:01 UTC
Created attachment 84904 [details] [review]
Bug 22293: Sticky toolbar making vendor form uneditable

The new floating toolbar plugin doesn't like a particular combination of
markup: A toolbar inside a form which is styled "display:inline." The
staff client CSS styles forms that way globally, so it must be
explicitly overridden in these situations.

Changing the default will have broad consequences, so I propose an
inline style to fix this.

To test, apply the patch and go to Acquisitions. Add or edit a vendor
and confirm that after scrolling down the page the form is still
editable.

Signed-off-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Mikaël Olangcay Brisebois <mikael.olangcay-brisebois@inLibro.com>
Comment 5 Katrin Fischer 2019-02-09 19:31:03 UTC
Created attachment 84908 [details] [review]
Bug 22293: Sticky toolbar making vendor form uneditable

The new floating toolbar plugin doesn't like a particular combination of
markup: A toolbar inside a form which is styled "display:inline." The
staff client CSS styles forms that way globally, so it must be
explicitly overridden in these situations.

Changing the default will have broad consequences, so I propose an
inline style to fix this.

To test, apply the patch and go to Acquisitions. Add or edit a vendor
and confirm that after scrolling down the page the form is still
editable.

Signed-off-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Signed-off-by: Mikaël Olangcay Brisebois <mikael.olangcay-brisebois@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2019-02-09 19:31:32 UTC
Thx for the quick fix and 2 sign-offs!
Comment 7 Nick Clemens 2019-02-11 18:45:38 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-02-12 13:00:55 UTC
Bug in enhancement not in 18.11.x series.